package com.test;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TestSLF4J {

	private static final Logger logger = LoggerFactory.getLogger(TestSLF4J.class);

	public static void main(String[] args) {
		try {
			new TestLog4J().level1();
		}
		catch(Exception e){
			logger.error("Extra error message", e);
		}
	}

	public void level1() throws Exception {
		level2();
	}

	public void level2() throws Exception {
		level3();
	}

	public void level3() throws Exception {
		throw new Exception("Sorry you are not allowed on level 3");
	}

}
